WebRTC Code Reviews
Help | Chromium Project | Sign in
(8887)

Issue 18779004: SSE2 version of SubbandCoherence() (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 1 month ago by slavarnw
Modified:
5 years ago
Reviewers:
cd, Bjorn
CC:
webrtc-reviews_webrtc.org, rillian-moz, ajm, tterriberry, kwiberg, leozwang1
Base URL:
http://webrtc.googlecode.com/svn/trunk/
Visibility:
Public.

Description

SSE2 version of SubbandCoherence() The performance gain on a x86 laptop (Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz) reported by audioproc is ~3.3% The output is bit exact. R=bjornv@webrtc.org, cd@webrtc.org Committed: https://code.google.com/p/webrtc/source/detail?r=6860

Patch Set 1 #

Total comments: 2

Messages

Total messages: 7 (0 generated)
slavarnw
added reviewers
5 years, 1 month ago (2014-07-11 18:09:39 UTC) #1
jridges
https://webrtc-codereview.appspot.com/18779004/diff/1/webrtc/modules/audio_processing/aec/aec_core_sse2.c File webrtc/modules/audio_processing/aec/aec_core_sse2.c (right): https://webrtc-codereview.appspot.com/18779004/diff/1/webrtc/modules/audio_processing/aec/aec_core_sse2.c#newcode705 webrtc/modules/audio_processing/aec/aec_core_sse2.c:705: vec_cohde = _mm_add_ps(vec_cohde, _mm_mul_ps(vec_sde_1, vec_sde_1)); In general, the compiler ...
5 years, 1 month ago (2014-07-11 21:48:18 UTC) #2
cd
lgtm
5 years, 1 month ago (2014-07-11 22:10:02 UTC) #3
slavarnw
https://webrtc-codereview.appspot.com/18779004/diff/1/webrtc/modules/audio_processing/aec/aec_core_sse2.c File webrtc/modules/audio_processing/aec/aec_core_sse2.c (right): https://webrtc-codereview.appspot.com/18779004/diff/1/webrtc/modules/audio_processing/aec/aec_core_sse2.c#newcode705 webrtc/modules/audio_processing/aec/aec_core_sse2.c:705: vec_cohde = _mm_add_ps(vec_cohde, _mm_mul_ps(vec_sde_1, vec_sde_1)); On 2014/07/11 21:48:17, jridges ...
5 years, 1 month ago (2014-07-14 13:03:25 UTC) #4
jridges
On 2014/07/14 13:03:25, slavarnw wrote: > https://webrtc-codereview.appspot.com/18779004/diff/1/webrtc/modules/audio_processing/aec/aec_core_sse2.c > File webrtc/modules/audio_processing/aec/aec_core_sse2.c (right): > > https://webrtc-codereview.appspot.com/18779004/diff/1/webrtc/modules/audio_processing/aec/aec_core_sse2.c#newcode705 > ...
5 years, 1 month ago (2014-07-14 15:54:09 UTC) #5
Bjorn
lgtm
5 years ago (2014-08-11 10:37:40 UTC) #6
Bjorn
5 years ago (2014-08-11 10:41:14 UTC) #7
Message was sent while issue was closed.
Committed patchset #1 manually as 6860 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted